{config, pkgs, ...}: {
  # Enable Sway and write some scripts
  wayland.windowManager.sway = {
    config = {
      # Use Waybar rather than Sway's
      bars = [{command = "waybar";}];

      startup = [
        # Scratchpads
        {command = "foot -a gotop -T Gotop gotop";}
        {command = "foot -a music -T Music ncmpcpp";}
        {command = "foot -a sound -T Sound pulsemixer";}
        {command = "easyeffects";}

        # Daemons and tray apps
        {command = "wl-paste -t text --watch clipman store -P";}
        {command = "wl-copy";}
        {command = "mako";}
        {command = "${pkgs.rot8}/bin/rot8";}

        # Polkit agent
        {command = "${pkgs.mate.mate-polkit}/libexec/polkit-mate-authentication-agent-1";}

        # Foreground apps
        {command = "librewolf -P Misc --name=MiscBrowser";}
        {command = "vesktop";}
        {command = "element-desktop";}
        {command = "thunderbird";}
      ];
    };
  };
}
